package com.ijchart.xychart.constant ;

/**
 * <p>Title: IJChart</p>
 *
 * <p>Description: a chart library for the Java(tm) platform.</p>
 * <zh>һЩĽǶֵ.</zh>
 * <en>The definition of some special angle values.</en>
 *
 * <p>Copyright: Copyright (c) 2013</p>
 *
 * <p>Company: </p>
 *
 * @author zhang feng min,shanghai china.
 * <a href="mailto:ijchartsh@gmail.com">Contract me by email.</a>
 * @version 1.0
 */
public interface IAngle {
  /**
   * <zh>ˮƽ(ǶΪ0).</zh>
   * <en>The horizontal angle (0).</en>
   */
  double ANGLE_ZERO = 0 ;

  /**
   * <zh>ʱת90.</zh>
   * <en>90 degrees anti-clockwise rotation.</en>
   */
  double ANGLE_UP_90 = -1 * 0.5 * Math.PI ;

  /**
   * <zh>ʱת45.</zh>
   * <en>45 degrees anti-clockwise rotation.</en>
   */
  double ANGLE_UP_45 = -1 * 0.25 * Math.PI ;

  /**
   * <zh>˳ʱת90.</zh>
   * <en>90 degrees clockwise rotation.</en>
   */
  double ANGLE_DOWN_90 = 0.5 * Math.PI ;

  /**
   * <zh>˳ʱת45.</zh>
   * <en>45 degrees clockwise rotation.</en>
   */
  double ANGLE_DOWN_45 = 0.25 * Math.PI ;

}
